#pragma once
#include "mbed.h"

class PololuMController
{
    private:
    PwmOut* pwm;
    DigitalOut* outA;
    DigitalOut* outB;
    float timestamp;
    public:
    PololuMController();
    PololuMController(PinName pwmport, PinName A, PinName B);
    ~PololuMController();
    void setspeed(float speed);         //0 to 1
    void setpolarspeed(float speed);    //-1 to 1
    void reverse();                     //only works on non-polar speed
    void drive_sinusoidal(float cur_time, float a, float w, float phi); //a*sin(w*cur_time+phi)
};